#6125 SCI: SQ4: Save game is ruined in game's launch

SCI: Space Quest 4
closed-works-for-me
nobody
5
2016-02-02
2012-08-14
lwc
No

More often than not, I enter the game and try to restore a saved slot only to have said slot turn to 00:00 play time. That is, as if I saved it during the credits.

ScummVM 1.5.0
SQ4 English/Windows
Win32

Discussion

  • Willem Jan Palenstijn

    Please describe what happens in (much!) more detail. Are you talking about existing saves which get corrupted, or new saves which never work, or just the game time counter being broken, or ...?

     
  • Willem Jan Palenstijn

    • summary: Save game is ruined in game's launch --> SCI: SQ4: Save game is ruined in game's launch
     
  • lwc

    lwc - 2012-08-14

    Existing saves get corrupted.

    They get overwritten with a timer of 00:00.

    It happens to the first save which I try to restore when entering the game.

     
  • Willem Jan Palenstijn

    Please describe in (much, much!) more detail what happens and how to reproduce this.

    (How do you enter the game? Do you load from the launcher, or start the game first and then load? Do you watch or skip the intro? Do you use hotkeys or the icon bar to load? Etc, etc...)

    What does "overwritten with a timer of 00:00" mean?

    Are you using the floppy or CD version of SQ4?

    Saving and loading seems to be working fine for me, so anything you can add to narrow down the problem would be helpful.

     
  • lwc

    lwc - 2012-08-14

    I enter the game through ScummVM's GUI.
    I choose to Restore even before the intro starts.
    Suddenly it's as if I chose Save instead of Restore. That is, the chosen slot gets overwritten with a new one that is saved at that moment (thus the playtime of 00:00).

     
  • lwc

    lwc - 2012-08-14

    I use the CD version.

     
  • Willem Jan Palenstijn

    Hm, interesting. Does the screen where you select the savegame slot have a "Restore" button as usual, or does that already have a "Save" button?

     
  • lwc

    lwc - 2012-08-14

    It has a restore button and the other slots there do work.

     
  • Filippos Karapetis

    I can't reproduce this. I got a saved game with a playtime longer than 00:00 and I tried the following:
    - Started SQ4CD, opened the game menu, restored game from the Sierra logo screen
    - Started SQ4CD, opened the ScummVM menu (Control-F5), restored game from the Sierra logo screen
    - Started SQ4CD, skipped intro, entered game, opened menu, restored game
    - Restored game from the launcher menu

    In all 4 cases, the save slot retained its save time, I tried this with a save at slot 0, and at slot 10 (just in case).

    So, I'm afraid I can't reproduce this. Please provide detailed instructions on how to reproduce this

     
  • Filippos Karapetis

    This tracker item is pending response by the submitter; we
    cannot continue processing it before that happens. As a
    consequence, its status has been set to "Pending". It will
    automatically revert to "Open" once a new comment is made to
    this item. If no response is made within 14 days, it will
    automatically be closed.

    Thank you.

     
  • Filippos Karapetis

    • assigned_to: nobody --> thebluegr
    • status: open --> pending-works-for-me
     
  • lwc

    lwc - 2012-09-03

    Well, what do you expect me to say? It does happen, but only happens when it feels like it.

    My SQ4's VERSION file contains "1.0", but it's from the Space Quest Collection.

     
  • lwc

    lwc - 2012-09-03
    • status: pending-works-for-me --> open-works-for-me
     
  • Filippos Karapetis

    Well, it's impossible to get a savegame changed when loading. There must be another underlying issue that makes the load dialog display wrong times. Are the saves permanently changed? Or is this a temporary glitch? Are you sure you're not overwriting them somehow?

     
  • lwc

    lwc - 2012-09-18

    They are permanently changed and I'm sure I didn't overwrite them somehow.

     
  • Filippos Karapetis

    • assigned_to: thebluegr --> nobody
     
  • Filippos Karapetis

    I'm afraid I can't reproduce this at all. I'm unassigning myself from this, I can't figure out what's going on here.

     
  • digitall

    digitall - 2014-06-01

    lwc: Is this still occuring for you with the latest v1.6.0 stable?
    If so, does it occur with the latest v1.7.0git daily build?

    If you can attach a savegame where this has occurred, it might be useful.

    I am going to set this bug back to pending-works-for-me (i.e. unreproducable) assuming this is probably fixed for you. If the bug submitter does not confirm that this is still occurring, it will be automatically closed in 14 days.

     
  • digitall

    digitall - 2014-06-01
    • status: open-works-for-me --> pending-works-for-me
     
  • Eugene Sandulenko

    • status: pending-works-for-me --> closed-works-for-me
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks